<?php
$config->group->package->browseArtifactrepo->privs['artifactrepo-view'] = array('edition' => 'biz,max,ipd', 'vision' => 'rnd', 'order' => 5, 'depend' => array('artifactrepo-browse'), 'recommend' => array());

$config->group->package->manageCode->privs['repo-createBranch'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 30, 'depend' => array('repo-browse', 'repo-browseBranch'), 'recommend' => array('repo-maintain'));
$config->group->package->manageCode->privs['repo-deleteBranch'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 35, 'depend' => array('repo-browse', 'repo-browseBranch'), 'recommend' => array('repo-maintain'));
$config->group->package->manageCode->privs['repo-createTag']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 40, 'depend' => array('repo-browse', 'repo-browseTag'), 'recommend' => array('repo-maintain'));
$config->group->package->manageCode->privs['repo-deleteTag']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 45, 'depend' => array('repo-browse', 'repo-browseTag'), 'recommend' => array('repo-maintain'));

$config->group->subset->repoSettings = new stdclass();
$config->group->subset->repoSettings->order = 2870;
$config->group->subset->repoSettings->nav   = 'devops';

$config->group->package->setCommitRule = new stdclass();
$config->group->package->setCommitRule->order  = 2880;
$config->group->package->setCommitRule->subset = 'repoSettings';
$config->group->package->setCommitRule->privs = array();
$config->group->package->setCommitRule->privs['repo-setPRrule']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 5, 'depend' => array('repo-browse'), 'recommend' => array());
$config->group->package->setCommitRule->privs['repo-setSafeRule'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 5, 'depend' => array('repo-browse', 'repo-setPRrule'), 'recommend' => array());

$config->group->package->webHooks = new stdclass();
$config->group->package->webHooks->order  = 2890;
$config->group->package->webHooks->subset = 'repoSettings';
$config->group->package->webHooks->privs = array();
$config->group->package->webHooks->privs['repo-browseWebhooks'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 5,  'depend' => array('repo-browse'), 'recommend' => array('createWebhook', 'editWebhook', 'enableWebhook', 'logWebhook', 'deleteWebhook'));
$config->group->package->webHooks->privs['repo-createWebhook']  = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 10, 'depend' => array('repo-browseWebhooks'), 'recommend' => array('editWebhook', 'enableWebhook', 'logWebhook', 'deleteWebhook'));
$config->group->package->webHooks->privs['repo-editWebhook']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 15, 'depend' => array('repo-browseWebhooks'), 'recommend' => array('createWebhook', 'enableWebhook', 'logWebhook', 'deleteWebhook'));
$config->group->package->webHooks->privs['repo-enableWebhook']  = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 20, 'depend' => array('repo-browseWebhooks'), 'recommend' => array('createWebhook', 'editWebhook', 'logWebhook', 'deleteWebhook'));
$config->group->package->webHooks->privs['repo-logWebhook']     = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 25, 'depend' => array('repo-browseWebhooks'), 'recommend' => array('createWebhook', 'editWebhook', 'enableWebhook', 'deleteWebhook'));
$config->group->package->webHooks->privs['repo-deleteWebhook']  = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 30, 'depend' => array('repo-browseWebhooks'), 'recommend' => array('createWebhook', 'editWebhook', 'enableWebhook', 'logWebhook'));

$config->group->package->rules = new stdclass();
$config->group->package->rules->order  = 2900;
$config->group->package->rules->subset = 'repoSettings';
$config->group->package->rules->privs = array();
$config->group->package->rules->privs['repo-browseRule'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 5,  'depend' => array('repo-browse'), 'recommend' => array('createRule', 'editRule', 'enableRule', 'deleteRule'));
$config->group->package->rules->privs['repo-createRule'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 10, 'depend' => array('repo-browseRule'), 'recommend' => array('editRule', 'enableRule', 'deleteRule'));
$config->group->package->rules->privs['repo-editRule']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 15, 'depend' => array('repo-browseRule'), 'recommend' => array('createRule', 'enableRule', 'deleteRule'));
$config->group->package->rules->privs['repo-enableRule'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 20, 'depend' => array('repo-browseRule'), 'recommend' => array('createRule', 'editRule', 'deleteRule'));
$config->group->package->rules->privs['repo-deleteRule'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 25, 'depend' => array('repo-browseRule'), 'recommend' => array('createRule', 'editRule', 'enableRule'));

$config->group->subset->pullreq = new stdclass();
$config->group->subset->pullreq->order = 2665;
$config->group->subset->pullreq->nav   = 'devops';

$config->group->package->browsePullReq = new stdclass();
$config->group->package->browsePullReq->order  = 5;
$config->group->package->browsePullReq->subset = 'pullreq';
$config->group->package->browsePullReq->privs  = array();
$config->group->package->browsePullReq->privs['pullreq-browse'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 5,  'depend' => array('repo-maintain'), 'recommend' => array('pullreq-addReview', 'pullreq-approval', 'pullreq-close', 'pullreq-edit', 'pullreq-linkBug', 'pullreq-linkStory', 'pullreq-linkTask', 'pullreq-reopen', 'pullreq-unlink', 'pullreq-view'));
$config->group->package->browsePullReq->privs['pullreq-view']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 10, 'depend' => array('pullreq-browse'), 'recommend' => array());

$config->group->package->managePullReq = new stdclass();
$config->group->package->managePullReq->order  = 10;
$config->group->package->managePullReq->subset = 'pullreq';
$config->group->package->managePullReq->privs  = array();
$config->group->package->managePullReq->privs['pullreq-edit']      = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 10, 'depend' => array('pullreq-browse'), 'recommend' => array('pullreq-linkBug', 'pullreq-linkStory', 'pullreq-linkTask', 'pullreq-unlink'));
$config->group->package->managePullReq->privs['pullreq-accept']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 20, 'depend' => array('repo-maintain'), 'recommend' => array('pullreq-browse', 'pullreq-edit'));
$config->group->package->managePullReq->privs['pullreq-linkStory'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 25, 'depend' => array('pullreq-browse', 'pullreq-view'), 'recommend' => array('pullreq-approval', 'pullreq-close', 'pullreq-linkBug', 'pullreq-linkTask', 'pullreq-reopen', 'pullreq-unlink'));
$config->group->package->managePullReq->privs['pullreq-linkBug']   = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 30, 'depend' => array('pullreq-browse', 'pullreq-view'), 'recommend' => array('pullreq-linkStory', 'pullreq-linkTask', 'pullreq-unlink'));
$config->group->package->managePullReq->privs['pullreq-linkTask']  = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 35, 'depend' => array('pullreq-browse', 'pullreq-view'), 'recommend' => array('pullreq-linkBug', 'pullreq-linkStory', 'pullreq-unlink'));
$config->group->package->managePullReq->privs['pullreq-unlink']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 40, 'depend' => array('pullreq-browse', 'pullreq-view'), 'recommend' => array('pullreq-linkBug', 'pullreq-linkStory', 'pullreq-linkTask'));
$config->group->package->managePullReq->privs['pullreq-approval']  = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 45, 'depend' => array('pullreq-browse'), 'recommend' => array('pullreq-close', 'pullreq-reopen'));
$config->group->package->managePullReq->privs['pullreq-close']     = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 50, 'depend' => array('pullreq-browse'), 'recommend' => array('pullreq-approval', 'pullreq-reopen'));
$config->group->package->managePullReq->privs['pullreq-reopen']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 55, 'depend' => array('pullreq-browse'), 'recommend' => array('pullreq-approval', 'pullreq-close'));
$config->group->package->managePullReq->privs['pullreq-delete']    = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 4,  'depend' => array('pullreq-browse'), 'recommend' => array('pullreq-edit'));

$config->group->package->manageJob->privs['job-createPipeline'] = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 10, 'depend' => array('job-browse'), 'recommend' => array());
$config->group->package->manageJob->privs['job-arrange']        = array('edition' => 'open,biz,max,ipd', 'vision' => 'rnd', 'order' => 15, 'depend' => array('job-browse'), 'recommend' => array());
