<?php
$lang->repo->scmList = array('GitFox' => 'GitFox') + $lang->repo->scmList;

$lang->repo->devopsEvents = array();

$lang->repo->devopsEvents['branchcreated'] = new stdclass();
$lang->repo->devopsEvents['branchcreated']->name  = '创建了分支';
$lang->repo->devopsEvents['branchcreated']->link  = '';
$lang->repo->devopsEvents['branchcreated']->color = 'warning';

$lang->repo->devopsEvents['branchunlinked'] = new stdclass();
$lang->repo->devopsEvents['branchunlinked']->name  = '解除了分支关联';
$lang->repo->devopsEvents['branchunlinked']->link  = '';
$lang->repo->devopsEvents['branchunlinked']->color = 'warning';

$lang->repo->devopsEvents['storycommitlinked'] = new stdclass();
$lang->repo->devopsEvents['storycommitlinked']->name  = '关联了代码提交';
$lang->repo->devopsEvents['storycommitlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['storycommitlinked']->color = 'primary';

$lang->repo->devopsEvents['taskcommitlinked'] = new stdclass();
$lang->repo->devopsEvents['taskcommitlinked']->name  = '关联了代码提交';
$lang->repo->devopsEvents['taskcommitlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['taskcommitlinked']->color = 'primary';

$lang->repo->devopsEvents['bugcommitlinked'] = new stdclass();
$lang->repo->devopsEvents['bugcommitlinked']->name  = '关联了代码提交';
$lang->repo->devopsEvents['bugcommitlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['bugcommitlinked']->color = 'primary';

$lang->repo->devopsEvents['storycommitunlinked'] = new stdclass();
$lang->repo->devopsEvents['storycommitunlinked']->name  = '与代码提交取消关联';
$lang->repo->devopsEvents['storycommitunlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['storycommitunlinked']->color = 'primary';

$lang->repo->devopsEvents['taskcommitunlinked'] = new stdclass();
$lang->repo->devopsEvents['taskcommitunlinked']->name  = '与代码提交取消关联';
$lang->repo->devopsEvents['taskcommitunlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['taskcommitunlinked']->color = 'primary';

$lang->repo->devopsEvents['bugcommitunlinked'] = new stdclass();
$lang->repo->devopsEvents['bugcommitunlinked']->name  = '与代码提交取消关联';
$lang->repo->devopsEvents['bugcommitunlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['bugcommitunlinked']->color = 'primary';

$lang->repo->devopsEvents['storycommitbywebhook'] = new stdclass();
$lang->repo->devopsEvents['storycommitbywebhook']->name  = '提交了代码';
$lang->repo->devopsEvents['storycommitbywebhook']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['storycommitbywebhook']->color = 'primary';

$lang->repo->devopsEvents['taskcommitbywebhook'] = new stdclass();
$lang->repo->devopsEvents['taskcommitbywebhook']->name  = '提交了代码';
$lang->repo->devopsEvents['taskcommitbywebhook']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['taskcommitbywebhook']->color = 'primary';

$lang->repo->devopsEvents['bugcommitbywebhook'] = new stdclass();
$lang->repo->devopsEvents['bugcommitbywebhook']->name  = '提交了代码';
$lang->repo->devopsEvents['bugcommitbywebhook']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['bugcommitbywebhook']->color = 'primary';

$lang->repo->remark              = "注释";
$lang->repo->codeTag             = '代码标签';
$lang->repo->tagName             = '标签名称';
$lang->repo->tagFrom             = '创建自';
$lang->repo->createTag           = '创建标签';
$lang->repo->deleteTag           = '删除标签';
$lang->repo->confirmTagDelete    = '您确定要删除此标签吗？';
$lang->repo->createBranch        = '创建分支';
$lang->repo->deleteBranch        = '删除分支';
$lang->repo->confirmBranchDelete = '您确定要删除此分支吗？';
$lang->repo->deleteDefaultBranch = '默认分支不能删除';
$lang->repo->divergence          = '落后|领先';
$lang->repo->ahead               = '领先';
$lang->repo->behind              = '落后';
$lang->repo->noDivergence        = '没有差异';
$lang->repo->noDivergenceOnHint  = '与%s分支没有差异';
$lang->repo->divergenceOnBranch  = '比%s分支';
$lang->repo->aheadHint           = '领先%s次提交';
$lang->repo->behindHint          = '落后%s次提交';
$lang->repo->default             = '默认';
$lang->repo->defaultBranch       = '默认分支';
$lang->repo->committerTip        = '提交人具有代码库的写入权限';

$lang->repo->errorLang[] = '受保护的标签不能删除';
$lang->repo->errorLang[] = '受保护的分支不能删除';
$lang->repo->errorLang[] = '默认分支不能删除';
$lang->repo->errorLang[] = '默认分支不能删除';
$lang->repo->errorLang[] = '权限不足';
$lang->repo->errorLang[] = '某些规则不允许您删除分支';
$lang->repo->errorLang[] = '标签已经存在了';

$lang->repo->apiError[] = 'Protected tags cannot be deleted.';
$lang->repo->apiError[] = 'Protected branches cannot be deleted.';
$lang->repo->apiError[] = 'The default branch of a project cannot be deleted.';
$lang->repo->apiError[] = "The default branch of a repository can't be deleted";
$lang->repo->apiError[] = 'Unauthorized';
$lang->repo->apiError[] = 'ruleRestrictions';
$lang->repo->apiError[] = 'Tag.*already exists';

$lang->repo->error->setDefaultBranch = '默认分支修改失败，请稍后重试';
$lang->repo->error->setCommitter     = '用户：%s, 设置提交人失败，请稍后重试';

$lang->repo->setPRrule          = '推送请求设置';
$lang->repo->setSafeRule        = '安全设置';
$lang->repo->browseWebhooks     = 'Webhook列表';
$lang->repo->createWebhook      = '创建Webhook';
$lang->repo->editWebhook        = '编辑Webhook';
$lang->repo->logWebhook         = 'Webhook日志';
$lang->repo->viewWebhookRequest = '请求数据';
$lang->repo->enableWebhook      = '启用/关闭Webhook';
$lang->repo->deleteWebhook      = '删除Webhook';
$lang->repo->browseRule         = '规则列表';
$lang->repo->createRule         = '创建规则';
$lang->repo->editRule           = '编辑规则';
$lang->repo->deleteRule         = '删除规则';
$lang->repo->enableRule         = '启用/关闭规则';
$lang->repo->enabledRule        = '启用规则';
$lang->repo->disabledRule       = '关闭规则';

$lang->repo->rule = new stdClass();
$lang->repo->rule->setCodeReview       = '强制评审流程';
$lang->repo->rule->setCodeReviewNotice = '开启后所有提交都需要通过代码评审才能合并成功，推送请求需提交者安装fit后生效。';

$lang->repo->rule->statusList = array();
$lang->repo->rule->statusList['active']   = '启用';
$lang->repo->rule->statusList['disabled'] = '关闭';

$lang->repo->rule->pattern           = '目标模式';
$lang->repo->rule->defaultPattern    = '默认分支';
$lang->repo->rule->patternTip        = '使用globstar模式匹配分支（例如golden,feature-*,releases/**）';
$lang->repo->rule->switchUser        = '选择用户绕过规则';
$lang->repo->rule->byPassRuleTip     = '允许具有仓库编辑权限的用户绕过规则';
$lang->repo->rule->include           = '包含';
$lang->repo->rule->exclude           = '排除';
$lang->repo->rule->ruleCount         = '规则数量';
$lang->repo->rule->nameExists        = '名称为%s的规则已经存在';
$lang->repo->rule->enabledSuccess    = '启用成功';
$lang->repo->rule->disabledSuccess   = '关闭成功';
$lang->repo->rule->enabledFail       = '启用失败';
$lang->repo->rule->disabledFail      = '关闭失败';
$lang->repo->rule->deleteSuccess     = '删除成功';
$lang->repo->rule->confirmRuleDelete = "确定要删除 '%s' 吗，删除后不可恢复";
$lang->repo->rule->allRule           = '选择适用的所有规则';
$lang->repo->rule->minRequireCount   = '最少数量';
$lang->repo->rule->checkStatus       = '状态检查';
$lang->repo->rule->builtIn           = '内置';

$lang->repo->rule->ruleList = array();
$lang->repo->rule->ruleList['lifecycle']     = array();
$lang->repo->rule->ruleList['approvals']     = array();
$lang->repo->rule->ruleList['comments']      = array();
$lang->repo->rule->ruleList['status_checks'] = array();
$lang->repo->rule->ruleList['merge']         = array();

$lang->repo->rule->ruleList['lifecycle']['update_forbidden'] = '分支保护';
$lang->repo->rule->ruleList['lifecycle']['create_forbidden'] = '阻止分支创建';
$lang->repo->rule->ruleList['lifecycle']['delete_forbidden'] = '阻止分支删除';

$lang->repo->rule->ruleList['approvals']['require_minimum_count']     = '需要最少的审查者数量';
$lang->repo->rule->ruleList['approvals']['require_code_owners']       = '需要代码所有者审查';
$lang->repo->rule->ruleList['approvals']['require_latest_commit']     = '需要新更改的批准';
$lang->repo->rule->ruleList['approvals']['require_no_change_request'] = '需要解决变更请求';

$lang->repo->rule->ruleList['comments']['require_resolve_all'] = '需要解决评论';

$lang->repo->rule->ruleList['status_checks']['require_identifiers'] = '需要通过状态检查';

$lang->repo->rule->ruleList['merge']['strategies_allowed'] = '限制合并策略';
$lang->repo->rule->ruleList['merge']['delete_branch']      = '自动删除合并后的分支';

$lang->repo->rule->mergeList = array();
$lang->repo->rule->mergeList['squash'] = '压缩并合并';
$lang->repo->rule->mergeList['merge']  = '合并提交';
$lang->repo->rule->mergeList['rebase'] = '变基并合并';

$lang->repo->rule->ruleListTip = array();
$lang->repo->rule->ruleListTip['update_forbidden']          = '只允许具有绕过权限的用户直接提交';
$lang->repo->rule->ruleListTip['create_forbidden']          = '只允许具有绕过权限的用户创建匹配的分支';
$lang->repo->rule->ruleListTip['delete_forbidden']          = '只允许具有绕过权限的用户删除匹配的分支';
$lang->repo->rule->ruleListTip['require_minimum_count']     = '在合并请求上要求来自最少数量的审查者的批准';
$lang->repo->rule->ruleListTip['require_code_owners']       = '要求每个代码所有者规则至少有一个审查者批准合并请求';
$lang->repo->rule->ruleListTip['require_latest_commit']     = '当合并请求中有新更改时，要求重新批准';
$lang->repo->rule->ruleListTip['require_no_change_request'] = '在合并pull请求之前, 所有的变更请求都必须被解决';
$lang->repo->rule->ruleListTip['require_resolve_all']       = '在合并之前解决合并请求上的所有评论';
$lang->repo->rule->ruleListTip['require_identifiers']       = '必须通过选择的状态检查才能合并合并请求';
$lang->repo->rule->ruleListTip['strategies_allowed']        = '限制可用于合并合并请求的合并策略';
$lang->repo->rule->ruleListTip['delete_branch']             = '在合并后自动删除合并请求的源分支';

$lang->repo->rule->setCodeReviewList = array();
$lang->repo->rule->setCodeReviewList[0] = '关闭';
$lang->repo->rule->setCodeReviewList[1] = '开启';

$lang->repo->rule->keyScan       = '密钥扫描';
$lang->repo->rule->keyScanNotice = '检测到提交中包含密钥Token等敏感信息，会阻止推送';

$lang->repo->rule->setkeyScanList = array();
$lang->repo->rule->setkeyScanList[0] = '关闭';
$lang->repo->rule->setkeyScanList[1] = '开启';

$lang->repo->commitRule = new stdClass();
$lang->repo->commitRule->rules['pr']   = '推送请求';
$lang->repo->commitRule->rules['safe'] = '安全设置';

$lang->repo->targetURL    = '目标URL';
$lang->repo->enable       = '启用';
$lang->repo->disable      = '关闭';
$lang->repo->latestStatus = '最新发送状态';
$lang->repo->log          = '日志';

$lang->repo->webhook = new stdClass();
$lang->repo->webhook->statusList = array();
$lang->repo->webhook->statusList['enabled']  = '启用';
$lang->repo->webhook->statusList['disabled'] = '关闭';

$lang->repo->webhook->latestStatusList = array();
$lang->repo->webhook->latestStatusList['success'] = '成功';
$lang->repo->webhook->latestStatusList['fail']    = '失败';
$lang->repo->webhook->latestStatusList['pending'] = '未发送';

$lang->repo->webhook->logStatusList = array();
$lang->repo->webhook->logStatusList['success'] = '成功';
$lang->repo->webhook->logStatusList['fail']    = '失败';

$lang->repo->webhook->key                  = '密钥';
$lang->repo->webhook->desc                 = '描述';
$lang->repo->webhook->SSL                  = '启用 SSL 验证';
$lang->repo->webhook->triggerEvent         = '触发事件';
$lang->repo->webhook->customEvent          = '自定义事件';
$lang->repo->webhook->urlError             = '目标URL格式不正确';
$lang->repo->webhook->customEventError     = '自定义事件不能为空';
$lang->repo->webhook->nameExists           = '名称为%s的Webhook已经存在';
$lang->repo->webhook->defaultShowSecret    = '******';
$lang->repo->webhook->enabledSuccess       = '启用成功';
$lang->repo->webhook->disabledSuccess      = '关闭成功';
$lang->repo->webhook->enabledFail          = '启用失败';
$lang->repo->webhook->disabledFail         = '关闭失败';
$lang->repo->webhook->requestData          = '请求数据';
$lang->repo->webhook->requestDate          = '请求时间';
$lang->repo->webhook->triggerType          = '触发类型';
$lang->repo->webhook->requestURL           = '请求地址';
$lang->repo->webhook->requestHeaders       = '请求头';
$lang->repo->webhook->requestBody          = '请求数据';
$lang->repo->webhook->responseHeaders      = '响应头';
$lang->repo->webhook->responseBody         = '响应数据';
$lang->repo->webhook->emptyData            = '无数据';
$lang->repo->webhook->deleteSuccess        = '删除成功';
$lang->repo->webhook->confirmWebhookDelete = "确定要删除 '%s' 吗，删除后不可恢复";
$lang->repo->webhook->lengthError          = "『%s』长度应当不超过『%s』";

$lang->repo->webhook->triggerEventList = array();
$lang->repo->webhook->triggerEventList[0] = '发送所有事件';
$lang->repo->webhook->triggerEventList[1] = '自定义事件';

$lang->repo->webhook->customEventList = array();
$lang->repo->webhook->customEventList['branch_created']           = '分支创建';
$lang->repo->webhook->customEventList['branch_updated']           = '分支更新';
$lang->repo->webhook->customEventList['branch_deleted']           = '分支删除';
$lang->repo->webhook->customEventList['tag_created']              = '标签创建';
$lang->repo->webhook->customEventList['tag_updated']              = '标签更新';
$lang->repo->webhook->customEventList['tag_deleted']              = '标签删除';
$lang->repo->webhook->customEventList['pullreq_created']          = '创建推送请求';
$lang->repo->webhook->customEventList['pullreq_reopened']         = '重新打开推送请求';
$lang->repo->webhook->customEventList['pullreq_branch_updated']   = '更新推送请求分支';
$lang->repo->webhook->customEventList['pullreq_closed']           = '关闭推送请求';
$lang->repo->webhook->customEventList['pullreq_comment_created']  = '创建推送请求评论';
$lang->repo->webhook->customEventList['pullreq_merged']           = '合并推送请求';
$lang->repo->webhook->customEventList['pullreq_reviewer_created'] = '添加推送请求审阅者';
$lang->repo->webhook->customEventList['pullreq_reviewer_deleted'] = '删除推送请求审阅者';
$lang->repo->webhook->customEventList['pullreq_review_submitted'] = '提交推送请求审核';
