<?php
$lang->repo->scmList = array('GitFox' => 'GitFox') + $lang->repo->scmList;

$lang->repo->devopsEvents = array();

$lang->repo->devopsEvents['branchcreated'] = new stdclass();
$lang->repo->devopsEvents['branchcreated']->name  = '創建了分支';
$lang->repo->devopsEvents['branchcreated']->link  = '';
$lang->repo->devopsEvents['branchcreated']->color = 'warning';

$lang->repo->devopsEvents['branchunlinked'] = new stdclass();
$lang->repo->devopsEvents['branchunlinked']->name  = '解除了分支關聯';
$lang->repo->devopsEvents['branchunlinked']->link  = '';
$lang->repo->devopsEvents['branchunlinked']->color = 'warning';

$lang->repo->devopsEvents['storycommitlinked'] = new stdclass();
$lang->repo->devopsEvents['storycommitlinked']->name  = '關聯了代碼提交';
$lang->repo->devopsEvents['storycommitlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['storycommitlinked']->color = 'primary';

$lang->repo->devopsEvents['taskcommitlinked'] = new stdclass();
$lang->repo->devopsEvents['taskcommitlinked']->name  = '關聯了代碼提交';
$lang->repo->devopsEvents['taskcommitlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['taskcommitlinked']->color = 'primary';

$lang->repo->devopsEvents['bugcommitlinked'] = new stdclass();
$lang->repo->devopsEvents['bugcommitlinked']->name  = '關聯了代碼提交';
$lang->repo->devopsEvents['bugcommitlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['bugcommitlinked']->color = 'primary';

$lang->repo->devopsEvents['storycommitunlinked'] = new stdclass();
$lang->repo->devopsEvents['storycommitunlinked']->name  = '與代碼提交取消關聯';
$lang->repo->devopsEvents['storycommitunlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['storycommitunlinked']->color = 'primary';

$lang->repo->devopsEvents['taskcommitunlinked'] = new stdclass();
$lang->repo->devopsEvents['taskcommitunlinked']->name  = '與代碼提交取消關聯';
$lang->repo->devopsEvents['taskcommitunlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['taskcommitunlinked']->color = 'primary';

$lang->repo->devopsEvents['bugcommitunlinked'] = new stdclass();
$lang->repo->devopsEvents['bugcommitunlinked']->name  = '與代碼提交取消關聯';
$lang->repo->devopsEvents['bugcommitunlinked']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['bugcommitunlinked']->color = 'primary';

$lang->repo->devopsEvents['storycommitbywebhook'] = new stdclass();
$lang->repo->devopsEvents['storycommitbywebhook']->name  = '提交了代碼';
$lang->repo->devopsEvents['storycommitbywebhook']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['storycommitbywebhook']->color = 'primary';

$lang->repo->devopsEvents['taskcommitbywebhook'] = new stdclass();
$lang->repo->devopsEvents['taskcommitbywebhook']->name  = '提交了代碼';
$lang->repo->devopsEvents['taskcommitbywebhook']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['taskcommitbywebhook']->color = 'primary';

$lang->repo->devopsEvents['bugcommitbywebhook'] = new stdclass();
$lang->repo->devopsEvents['bugcommitbywebhook']->name  = '提交了代碼';
$lang->repo->devopsEvents['bugcommitbywebhook']->link  = helper::createLink('repo', 'revision', 'repoID=%s&objectID=0&revision=%s', 'html');
$lang->repo->devopsEvents['bugcommitbywebhook']->color = 'primary';

$lang->repo->remark              = "註釋";
$lang->repo->codeTag             = '代碼標籤';
$lang->repo->tagName             = '標籤名稱';
$lang->repo->tagFrom             = '創建自';
$lang->repo->createTag           = '創建標籤';
$lang->repo->deleteTag           = '刪除標籤';
$lang->repo->confirmTagDelete    = '您確定要刪除此標籤嗎？';
$lang->repo->createBranch        = '創建分支';
$lang->repo->deleteBranch        = '刪除分支';
$lang->repo->confirmBranchDelete = '您確定要刪除此分支嗎？';
$lang->repo->deleteDefaultBranch = '預設分支不能刪除';
$lang->repo->divergence          = '落後|領先';
$lang->repo->ahead               = '領先';
$lang->repo->behind              = '落後';
$lang->repo->noDivergence        = '沒有差異';
$lang->repo->noDivergenceOnHint  = '與%s分支沒有差異';
$lang->repo->divergenceOnBranch  = '比%s分支';
$lang->repo->aheadHint           = '領先%s次提交';
$lang->repo->behindHint          = '落後%s次提交';
$lang->repo->default             = '預設';
$lang->repo->defaultBranch       = '預設分支';
$lang->repo->committerTip        = '提交人具有代碼庫的寫入權限';

$lang->repo->errorLang[] = '受保護的標籤不能刪除';
$lang->repo->errorLang[] = '受保護的分支不能刪除';
$lang->repo->errorLang[] = '預設分支不能刪除';
$lang->repo->errorLang[] = '預設分支不能刪除';
$lang->repo->errorLang[] = '權限不足';
$lang->repo->errorLang[] = '某些規則不允許您刪除分支';
$lang->repo->errorLang[] = '標籤已經存在了';

$lang->repo->apiError[] = 'Protected tags cannot be deleted.';
$lang->repo->apiError[] = 'Protected branches cannot be deleted.';
$lang->repo->apiError[] = 'The default branch of a project cannot be deleted.';
$lang->repo->apiError[] = "The default branch of a repository can't be deleted";
$lang->repo->apiError[] = 'Unauthorized';
$lang->repo->apiError[] = 'ruleRestrictions';
$lang->repo->apiError[] = 'Tag.*already exists';

$lang->repo->error->setDefaultBranch = '預設分支修改失敗，請稍後重試';
$lang->repo->error->setCommitter     = '用戶：%s, 設置提交人失敗，請稍後重試';

$lang->repo->setPRrule          = '推送請求設置';
$lang->repo->setSafeRule        = '安全設置';
$lang->repo->browseWebhooks     = 'Webhook列表';
$lang->repo->createWebhook      = '創建Webhook';
$lang->repo->editWebhook        = '編輯Webhook';
$lang->repo->logWebhook         = 'Webhook日誌';
$lang->repo->viewWebhookRequest = '請求數據';
$lang->repo->enableWebhook      = '啟用/關閉Webhook';
$lang->repo->deleteWebhook      = '刪除Webhook';
$lang->repo->browseRule         = '規則列表';
$lang->repo->createRule         = '創建規則';
$lang->repo->editRule           = '編輯規則';
$lang->repo->deleteRule         = '刪除規則';
$lang->repo->enableRule         = '啟用/關閉規則';
$lang->repo->enabledRule        = '啟用規則';
$lang->repo->disabledRule       = '關閉規則';

$lang->repo->rule = new stdClass();
$lang->repo->rule->setCodeReview       = '強制評審流程';
$lang->repo->rule->setCodeReviewNotice = '開啟後所有提交都需要通過代碼評審才能合併成功，推送請求需提交者安裝fit後生效。';

$lang->repo->rule->statusList = array();
$lang->repo->rule->statusList['active']   = '啟用';
$lang->repo->rule->statusList['disabled'] = '關閉';

$lang->repo->rule->pattern           = '目標模式';
$lang->repo->rule->defaultPattern    = '預設分支';
$lang->repo->rule->patternTip        = '使用globstar模式匹配分支（例如golden,feature-*,releases/**）';
$lang->repo->rule->switchUser        = '選擇用戶繞過規則';
$lang->repo->rule->byPassRuleTip     = '允許具有倉庫編輯權限的用戶繞過規則';
$lang->repo->rule->include           = '包含';
$lang->repo->rule->exclude           = '排除';
$lang->repo->rule->ruleCount         = '規則數量';
$lang->repo->rule->nameExists        = '名稱為%s的規則已經存在';
$lang->repo->rule->enabledSuccess    = '啟用成功';
$lang->repo->rule->disabledSuccess   = '關閉成功';
$lang->repo->rule->enabledFail       = '啟用失敗';
$lang->repo->rule->disabledFail      = '關閉失敗';
$lang->repo->rule->deleteSuccess     = '刪除成功';
$lang->repo->rule->confirmRuleDelete = "確定要刪除 '%s' 嗎，刪除後不可恢復";
$lang->repo->rule->allRule           = '選擇適用的所有規則';
$lang->repo->rule->minRequireCount   = '最少數量';
$lang->repo->rule->checkStatus       = '狀態檢查';
$lang->repo->rule->builtIn           = '內置';

$lang->repo->rule->ruleList = array();
$lang->repo->rule->ruleList['lifecycle']     = array();
$lang->repo->rule->ruleList['approvals']     = array();
$lang->repo->rule->ruleList['comments']      = array();
$lang->repo->rule->ruleList['status_checks'] = array();
$lang->repo->rule->ruleList['merge']         = array();

$lang->repo->rule->ruleList['lifecycle']['update_forbidden'] = '分支保護';
$lang->repo->rule->ruleList['lifecycle']['create_forbidden'] = '阻止分支創建';
$lang->repo->rule->ruleList['lifecycle']['delete_forbidden'] = '阻止分支刪除';

$lang->repo->rule->ruleList['approvals']['require_minimum_count']     = '需要最少的審查者數量';
$lang->repo->rule->ruleList['approvals']['require_code_owners']       = '需要代碼所有者審查';
$lang->repo->rule->ruleList['approvals']['require_latest_commit']     = '需要新更改的批准';
$lang->repo->rule->ruleList['approvals']['require_no_change_request'] = '需要解決變更請求';

$lang->repo->rule->ruleList['comments']['require_resolve_all'] = '需要解決評論';

$lang->repo->rule->ruleList['status_checks']['require_identifiers'] = '需要通過狀態檢查';

$lang->repo->rule->ruleList['merge']['strategies_allowed'] = '限制合併策略';
$lang->repo->rule->ruleList['merge']['delete_branch']      = '自動刪除合併後的分支';

$lang->repo->rule->mergeList = array();
$lang->repo->rule->mergeList['squash'] = '壓縮併合並';
$lang->repo->rule->mergeList['merge']  = '合併提交';
$lang->repo->rule->mergeList['rebase'] = '變基併合並';

$lang->repo->rule->ruleListTip = array();
$lang->repo->rule->ruleListTip['update_forbidden']          = '只允許具有繞過權限的用戶直接提交';
$lang->repo->rule->ruleListTip['create_forbidden']          = '只允許具有繞過權限的用戶創建匹配的分支';
$lang->repo->rule->ruleListTip['delete_forbidden']          = '只允許具有繞過權限的用戶刪除匹配的分支';
$lang->repo->rule->ruleListTip['require_minimum_count']     = '在合併請求上要求來自最少數量的審查者的批准';
$lang->repo->rule->ruleListTip['require_code_owners']       = '要求每個代碼所有者規則至少有一個審查者批准合併請求';
$lang->repo->rule->ruleListTip['require_latest_commit']     = '當合併請求中有新更改時，要求重新批准';
$lang->repo->rule->ruleListTip['require_no_change_request'] = '在合併pull請求之前, 所有的變更請求都必須被解決';
$lang->repo->rule->ruleListTip['require_resolve_all']       = '在合併之前解決合併請求上的所有評論';
$lang->repo->rule->ruleListTip['require_identifiers']       = '必須通過選擇的狀態檢查才能合併合併請求';
$lang->repo->rule->ruleListTip['strategies_allowed']        = '限制可用於合併合併請求的合併策略';
$lang->repo->rule->ruleListTip['delete_branch']             = '在合併後自動刪除合併請求的源分支';

$lang->repo->rule->setCodeReviewList = array();
$lang->repo->rule->setCodeReviewList[0] = '關閉';
$lang->repo->rule->setCodeReviewList[1] = '開啟';

$lang->repo->rule->keyScan       = '密鑰掃瞄';
$lang->repo->rule->keyScanNotice = '檢測到提交中包含密鑰Token等敏感信息，會阻止推送';

$lang->repo->rule->setkeyScanList = array();
$lang->repo->rule->setkeyScanList[0] = '關閉';
$lang->repo->rule->setkeyScanList[1] = '開啟';

$lang->repo->commitRule = new stdClass();
$lang->repo->commitRule->rules['pr']   = '推送請求';
$lang->repo->commitRule->rules['safe'] = '安全設置';

$lang->repo->targetURL    = '目標URL';
$lang->repo->enable       = '啟用';
$lang->repo->disable      = '關閉';
$lang->repo->latestStatus = '最新發送狀態';
$lang->repo->log          = '日誌';

$lang->repo->webhook = new stdClass();
$lang->repo->webhook->statusList = array();
$lang->repo->webhook->statusList['enabled']  = '啟用';
$lang->repo->webhook->statusList['disabled'] = '關閉';

$lang->repo->webhook->latestStatusList = array();
$lang->repo->webhook->latestStatusList['success'] = '成功';
$lang->repo->webhook->latestStatusList['fail']    = '失敗';
$lang->repo->webhook->latestStatusList['pending'] = '未發送';

$lang->repo->webhook->logStatusList = array();
$lang->repo->webhook->logStatusList['success'] = '成功';
$lang->repo->webhook->logStatusList['fail']    = '失敗';

$lang->repo->webhook->key                  = '密鑰';
$lang->repo->webhook->desc                 = '描述';
$lang->repo->webhook->SSL                  = '啟用 SSL 驗證';
$lang->repo->webhook->triggerEvent         = '觸發事件';
$lang->repo->webhook->customEvent          = '自定義事件';
$lang->repo->webhook->urlError             = '目標URL格式不正確';
$lang->repo->webhook->customEventError     = '自定義事件不能為空';
$lang->repo->webhook->nameExists           = '名稱為%s的Webhook已經存在';
$lang->repo->webhook->defaultShowSecret    = '******';
$lang->repo->webhook->enabledSuccess       = '啟用成功';
$lang->repo->webhook->disabledSuccess      = '關閉成功';
$lang->repo->webhook->enabledFail          = '啟用失敗';
$lang->repo->webhook->disabledFail         = '關閉失敗';
$lang->repo->webhook->requestData          = '請求數據';
$lang->repo->webhook->requestDate          = '請求時間';
$lang->repo->webhook->triggerType          = '觸發類型';
$lang->repo->webhook->requestURL           = '請求地址';
$lang->repo->webhook->requestHeaders       = '請求頭';
$lang->repo->webhook->requestBody          = '請求數據';
$lang->repo->webhook->responseHeaders      = '響應頭';
$lang->repo->webhook->responseBody         = '響應數據';
$lang->repo->webhook->emptyData            = '無數據';
$lang->repo->webhook->deleteSuccess        = '刪除成功';
$lang->repo->webhook->confirmWebhookDelete = "確定要刪除 '%s' 嗎，刪除後不可恢復";
$lang->repo->webhook->lengthError          = "『%s』長度應當不超過『%s』";

$lang->repo->webhook->triggerEventList = array();
$lang->repo->webhook->triggerEventList[0] = '發送所有事件';
$lang->repo->webhook->triggerEventList[1] = '自定義事件';

$lang->repo->webhook->customEventList = array();
$lang->repo->webhook->customEventList['branch_created']           = '分支創建';
$lang->repo->webhook->customEventList['branch_updated']           = '分支更新';
$lang->repo->webhook->customEventList['branch_deleted']           = '分支刪除';
$lang->repo->webhook->customEventList['tag_created']              = '標籤創建';
$lang->repo->webhook->customEventList['tag_updated']              = '標籤更新';
$lang->repo->webhook->customEventList['tag_deleted']              = '標籤刪除';
$lang->repo->webhook->customEventList['pullreq_created']          = '創建推送請求';
$lang->repo->webhook->customEventList['pullreq_reopened']         = '重新打開推送請求';
$lang->repo->webhook->customEventList['pullreq_branch_updated']   = '更新推送請求分支';
$lang->repo->webhook->customEventList['pullreq_closed']           = '關閉推送請求';
$lang->repo->webhook->customEventList['pullreq_comment_created']  = '創建推送請求評論';
$lang->repo->webhook->customEventList['pullreq_merged']           = '合併推送請求';
$lang->repo->webhook->customEventList['pullreq_reviewer_created'] = '添加推送請求審閲者';
$lang->repo->webhook->customEventList['pullreq_reviewer_deleted'] = '刪除推送請求審閲者';
$lang->repo->webhook->customEventList['pullreq_review_submitted'] = '提交推送請求審核';
